/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.screens.service;

import aQute.bnd.annotation.ProviderType;

import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;

import org.osgi.util.tracker.ServiceTracker;

/**
 * Provides the remote service utility for ScreensDDMStructureVersion. This utility wraps
 * {@link com.liferay.screens.service.impl.ScreensDDMStructureVersionServiceImpl} and is the
 * primary access point for service operations in application layer code running
 * on a remote server. Methods of this service are expected to have security
 * checks based on the propagated JAAS credentials because this service can be
 * accessed remotely.
 *
 * @author José Manuel Navarro
 * @see ScreensDDMStructureVersionService
 * @see com.liferay.screens.service.base.ScreensDDMStructureVersionServiceBaseImpl
 * @see com.liferay.screens.service.impl.ScreensDDMStructureVersionServiceImpl
 * @generated
 */
@ProviderType
public class ScreensDDMStructureVersionServiceUtil {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify this class directly. Add custom service methods to {@link com.liferay.screens.service.impl.ScreensDDMStructureVersionServiceImpl} and rerun ServiceBuilder to regenerate this class.
	 */
	public static com.liferay.portal.kernel.json.JSONObject getDDMStructureVersion(
		long structureId)
		throws com.liferay.portal.kernel.exception.PortalException {
		return getService().getDDMStructureVersion(structureId);
	}

	/**
	* Returns the OSGi service identifier.
	*
	* @return the OSGi service identifier
	*/
	public static java.lang.String getOSGiServiceIdentifier() {
		return getService().getOSGiServiceIdentifier();
	}

	public static ScreensDDMStructureVersionService getService() {
		return _serviceTracker.getService();
	}

	private static ServiceTracker<ScreensDDMStructureVersionService, ScreensDDMStructureVersionService> _serviceTracker;

	static {
		Bundle bundle = FrameworkUtil.getBundle(ScreensDDMStructureVersionService.class);

		ServiceTracker<ScreensDDMStructureVersionService, ScreensDDMStructureVersionService> serviceTracker =
			new ServiceTracker<ScreensDDMStructureVersionService, ScreensDDMStructureVersionService>(bundle.getBundleContext(),
				ScreensDDMStructureVersionService.class, null);

		serviceTracker.open();

		_serviceTracker = serviceTracker;
	}
}