/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.screens.service;

import aQute.bnd.annotation.ProviderType;

import com.liferay.portal.kernel.service.ServiceWrapper;

/**
 * Provides a wrapper for {@link ScreensDDMStructureVersionService}.
 *
 * @author José Manuel Navarro
 * @see ScreensDDMStructureVersionService
 * @generated
 */
@ProviderType
public class ScreensDDMStructureVersionServiceWrapper
	implements ScreensDDMStructureVersionService,
		ServiceWrapper<ScreensDDMStructureVersionService> {
	public ScreensDDMStructureVersionServiceWrapper(
		ScreensDDMStructureVersionService screensDDMStructureVersionService) {
		_screensDDMStructureVersionService = screensDDMStructureVersionService;
	}

	@Override
	public com.liferay.portal.kernel.json.JSONObject getDDMStructureVersion(
		long structureId)
		throws com.liferay.portal.kernel.exception.PortalException {
		return _screensDDMStructureVersionService.getDDMStructureVersion(structureId);
	}

	/**
	* Returns the OSGi service identifier.
	*
	* @return the OSGi service identifier
	*/
	@Override
	public java.lang.String getOSGiServiceIdentifier() {
		return _screensDDMStructureVersionService.getOSGiServiceIdentifier();
	}

	@Override
	public ScreensDDMStructureVersionService getWrappedService() {
		return _screensDDMStructureVersionService;
	}

	@Override
	public void setWrappedService(
		ScreensDDMStructureVersionService screensDDMStructureVersionService) {
		_screensDDMStructureVersionService = screensDDMStructureVersionService;
	}

	private ScreensDDMStructureVersionService _screensDDMStructureVersionService;
}