/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.screens.service;

import aQute.bnd.annotation.ProviderType;

import org.osgi.framework.Bundle;
import org.osgi.framework.FrameworkUtil;

import org.osgi.util.tracker.ServiceTracker;

/**
 * Provides the remote service utility for ScreensJournalArticle. This utility wraps
 * {@link com.liferay.screens.service.impl.ScreensJournalArticleServiceImpl} and is the
 * primary access point for service operations in application layer code running
 * on a remote server. Methods of this service are expected to have security
 * checks based on the propagated JAAS credentials because this service can be
 * accessed remotely.
 *
 * @author José Manuel Navarro
 * @see ScreensJournalArticleService
 * @see com.liferay.screens.service.base.ScreensJournalArticleServiceBaseImpl
 * @see com.liferay.screens.service.impl.ScreensJournalArticleServiceImpl
 * @generated
 */
@ProviderType
public class ScreensJournalArticleServiceUtil {
	/*
	 * NOTE FOR DEVELOPERS:
	 *
	 * Never modify this class directly. Add custom service methods to {@link com.liferay.screens.service.impl.ScreensJournalArticleServiceImpl} and rerun ServiceBuilder to regenerate this class.
	 */
	public static java.lang.String getJournalArticleContent(long classPK,
		java.util.Locale locale)
		throws com.liferay.portal.kernel.exception.PortalException {
		return getService().getJournalArticleContent(classPK, locale);
	}

	public static java.lang.String getJournalArticleContent(long classPK,
		long ddmTemplateId, java.util.Locale locale)
		throws com.liferay.portal.kernel.exception.PortalException {
		return getService()
				   .getJournalArticleContent(classPK, ddmTemplateId, locale);
	}

	public static java.lang.String getJournalArticleContent(long groupId,
		java.lang.String articleId, long ddmTemplateId, java.util.Locale locale)
		throws com.liferay.portal.kernel.exception.PortalException {
		return getService()
				   .getJournalArticleContent(groupId, articleId, ddmTemplateId,
			locale);
	}

	/**
	* Returns the OSGi service identifier.
	*
	* @return the OSGi service identifier
	*/
	public static java.lang.String getOSGiServiceIdentifier() {
		return getService().getOSGiServiceIdentifier();
	}

	public static ScreensJournalArticleService getService() {
		return _serviceTracker.getService();
	}

	private static ServiceTracker<ScreensJournalArticleService, ScreensJournalArticleService> _serviceTracker;

	static {
		Bundle bundle = FrameworkUtil.getBundle(ScreensJournalArticleService.class);

		ServiceTracker<ScreensJournalArticleService, ScreensJournalArticleService> serviceTracker =
			new ServiceTracker<ScreensJournalArticleService, ScreensJournalArticleService>(bundle.getBundleContext(),
				ScreensJournalArticleService.class, null);

		serviceTracker.open();

		_serviceTracker = serviceTracker;
	}
}